Name:           h2
Version:        1.2.147
Release:        3%{?dist}
Summary:        Java SQL database

Group:          Development/Libraries
License:        EPL
URL:            http://www.h2database.com
Source0:        http://www.h2database.com/h2-2010-11-21.zip
Patch0:         fix-for-servlet25.patch
Patch1:         fix-build.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: java-devel >= 1:1.5.0
BuildRequires:  ant
BuildRequires:  lucene >= 2.4
BuildRequires:  slf4j >= 1.5
BuildRequires:  felix-osgi-core >= 1.2
BuildRequires:  servlet25
Requires: java >= 1:1.5.0

%description
H2 is a the Java SQL database. The main features of H2 are:
* Very fast, open source, JDBC API
* Embedded and server modes; in-memory databases
* Browser based Console application
* Small footprint: around 1 MB jar file size 

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}
pushd src/test/org/h2/test/unit
%patch0
popd
pushd src/tools/org/h2/build
%patch1
popd
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%build
export JAVA_HOME=%{java_home}
chmod u+x build.sh
./build.sh jar docs

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p bin/h2-%{version}.jar   \
$RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp docs/javadoc  \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_javadir}/*
%doc src/docsrc/html/license.html

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}
%doc src/docsrc/html/license.html

%changelog
* Fri Feb 18 2011 Chris Aniszczyk <zx@redhat.com> 1.2.147-3
- Fix build to use the correct version of servlet APIs.

* Fri Feb 18 2011 Chris Aniszczyk <zx@redhat.com> 1.2.147-2
- Fix build to properly export JAVA_HOME.

* Fri Feb 18 2011 Chris Aniszczyk <zx@redhat.com> 1.2.147-1
- Update to the latest stable release.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.145-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 6 2010 Alexander Kurtakov <akurtako@redhat.com> 1.2.145-3
- Fix build to not screw osgi metadata.

* Mon Dec 6 2010 Alexander Kurtakov <akurtako@redhat.com> 1.2.145-2
- Install jar without version.

* Wed Nov 17 2010 Chris Aniszczyk <zx@redhat.com> 1.2.145-1
- Initial packaging
